
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library to handle various audio file formats
Name:		audiofile
Version:	0.3.6
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.xz
URL:		http://www.68k.org/~michael/audiofile/
BuildRequires:	alsa-lib-devel
BuildRequires:  asciidoc pkgconfig libtool
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}alsa2-devel

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{develname}
Summary:	Includes and other files to develop audiofile applications
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	%{_lib}audiofile0-devel < 0.3.2

%description -n	%{develname}
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q

%build
%configure2_5x --enable-largefile --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_mandir}/man1/*

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Sat Aug 08 2015 bb <bb> 0.3.6-2pclos2015
- rebuild against updated glibc

* Thu Jun 06 2013 Ken <lxgator at gmail.com> 0.3.6-1pclos2013
- 0.3.6
- fix library major not 0 but 1 (texstar)

* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.3.1-1pclos2011
- 0.3.1

* Wed Apr 28 2010 slick50 <lxgator@gmail.com> 0.2.7-1pclos2010
- 0.2.7

* Tue Sep 22 2009 pcserver <pcserver at hush.com>
- update & rebuild

